#!/bin/sh

#############################################################################
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007,2008. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#############################################################################


#
#


usage () {
  echo ""
  echo "jython.sh -w <WAS_HOME> <jython file> <params>"
  echo ""
  exit
  
}

wasHome=${WAS_HOME}

while getopts ":w:" opt
do
  case $opt in
    w) wasHome=$OPTARG
       shift
       shift;; 
    ?) usage
  esac
done


if [ -z "$wasHome" ]; then
  curDir=`dirname ${0}`
  cd $curDir/../..
  wasHome=`pwd`
fi


WAS_HOME=${wasHome}
export WAS_HOME
#echo "WAS_HOME: $WAS_HOME"



JYTHON_CACHE=${wasHome}/optionalLibraries/jython/cachedir/packages/jython.pkc
CP=${wasHome}/optionalLibraries/jython/jython.jar:${wasHome}/lib/wbminstall_util.jar
JAVA_HOME=${wasHome}/java
JYTHON_HOME=${wasHome}/optionalLibraries/jython

if [ ! -f $JYTHON_CACHE ]; then
  ${JAVA_HOME}/bin/java  -Dpython.home=${JYTHON_HOME} -classpath "$CP" \
  org.python.util.jython dummy.jy  >/dev/null  2>&1 
fi

${JAVA_HOME}/bin/java  -Dpython.home=${JYTHON_HOME} -classpath "$CP" \
org.python.util.jython $@
  

#save log
#echo "Done"
