# ************************************************************************
#  Licensed Material - Property of IBM
# 
#  5724-M24 
# 
#  Copyright IBM Corp. 2007, 2008.  All rights reserved.
# 
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ************************************************************************
# Created: 07/12/2007

import sys, os
from os import environ
from java.lang import System
from com.ibm.wbmonitor.install.common.log import ILogger

__all__ = []

profDir = ""
logger  = None
TRUE  = 1
FALSE = 0

def init(profileDir, log):
  global profDir, logger
  profDir = profileDir
  logger  = log


#wasHome = environ['WAS_HOME']

def isAppDeployed(appName):
  global profDir 

  if (environ.has_key('WAS_CELL')): 
    cellName  = environ['WAS_CELL']
  else:
    return FALSE

  deployedEarDir  = os.path.join(profDir, "installedApps")
  deployedEarDir  = os.path.join(deployedEarDir, cellName)
  appPath = os.path.join(deployedEarDir, appName + ".ear")
  if (os.path.exists(appPath)):
    return TRUE
  else:
    return FALSE
    
def isInfoCenterInstalled():
  infocenterDir = os.path.join(environ['WAS_HOME'], "infocenter.wbm")
  if (os.path.exists(infocenterDir)):
    return TRUE
  else:
    return FALSE

def remove(fileToMove, interval, iteration):

   import time 

   i = 0
   while (i < iteration):
     try:
       if (os.path.exists(fileToMove)):
          os.remove(fileToMove)
       break
     except:
       time.sleep(interval)
       i = i + 1

   if (os.path.exists(fileToMove)):
      return FALSE
   else:
      return TRUE
 
